Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 18 Dec 2014, 09:40
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 39 of 89 Posts_count   Goto page: Previous 1, 2, 3, ..., 37, 38, 39, 40, 41, ..., 87, 88, 89 Next
Author Message
peebee


Joined: 21 Sep 2008
Posts: 1544
Location: Worcestershire, UK

PostPosted: Mon 02 Jul 2012, 04:47    Post_subject: pnethood problem  

Hi pemasu

I'm getting errors from pnethood on 5.x.3.4.2.2 - finds my share OK but won't allow me to connect:

Code:
# pnethood
Found gtkdialog-0.8.1
cifs mounting enabled
192.168.0.0/16
/usr/local/apps/pnethood/pnethood: line 659:  1078 Terminated              "$GTKDIALOG" --program=MSG_SCANNING_NETWORK --center
/usr/local/apps/pnethood/pnethood: line 1:  1137 Terminated              "$GTKDIALOG" --program=MSG_SCANNING_MACHINE --center
/usr/local/apps/pnethood/func_mount: line 67: --program=MAIN_DIALOG: command not found


Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Mon 02 Jul 2012, 07:57    Post_subject:  

pemasu,

I'm not sure if you still include Tempicon by default, but if you do, use the latest 0.11. It is compatible with new2dir now, also a sample woof compatible pinstall.sh is included in one of the source dirs.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Mon 02 Jul 2012, 10:51    Post_subject: Re: pnethood problem  

peebee wrote:
/usr/local/apps/pnethood/func_mount: line 67: --program=MAIN_DIALOG: command not found

expot GTKDIALOG solves the error message:
/usr/local/apps/pnethood/pnethood at around line 93 wrote:
###Check for gtkdialog #20jun2012 export
export GTKDIALOG=""

But anyway, your network may have trouble by another reason.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
peebee


Joined: 21 Sep 2008
Posts: 1544
Location: Worcestershire, UK

PostPosted: Mon 02 Jul 2012, 11:14    Post_subject: Re: pnethood problem  

shinobar wrote:
But anyway, your network may have trouble by another reason.


Hi shino - network is fine under other puppies............
Thanks
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 02 Jul 2012, 11:52    Post_subject:  

Gnuxo. Libc deb is part of the glibc woof package. Glibc is the most fundamental part of the distro. Updating the whole glibc framework surely has side effects.
Here is post by Barry Kauler and follow posts about updating glibc:
http://bkhome.org/blog/?viewDetailed=02372

I suppose you are on your own if you start to update it.

01micko. Thanks. Yes...I have tempicon as preinstalled and I have updated it now.

Peebee-Shinobar. I am now in summer house and using 3g modem connection. I dont have active network interface now so I cant test the pnethood. But....I have Shinobar`s updated version:
Quote:
VERSION=0.6.8.9 #shinobar


If I would need to update the pnethood script by above command, what is the exact row in that script. Or diff file is also okay for patching it. Whatever way is easiest for me to know.

Thanks again to everyone of the feedback.
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1544
Location: Worcestershire, UK

PostPosted: Mon 02 Jul 2012, 12:04    Post_subject: Re: pnethood problem  

shinobar wrote:
expot GTKDIALOG solves the error message:
/usr/local/apps/pnethood/pnethood at around line 93 wrote:
###Check for gtkdialog #20jun2012 export
export GTKDIALOG=""


Hi Shino

I added the 2 lines you gave at line 94 (not sure if that is what I was supposed to do....) - but it kills pnethood completely - now says:
Code:
# pnethood
Found gtkdialog-0.8.1
cifs mounting enabled
192.168.0.0/16
/usr/local/apps/pnethood/pnethood: line 221: : command not found
/usr/local/apps/pnethood/pnethood: line 621: : command not found


Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 02 Jul 2012, 12:07    Post_subject:  

By the way...I compiled Tano IP TV player for playing ip TV streams.

http://projects.tano.si/en/home/13-news/player/93-tano-1-beta1
http://projects.tano.si/en/player/about/features

It needs qt libs (basic with webkit is ok) vlc-2.0.1 and vlc-2.0.1-deps-dpups for working. It relies to the libs those packages provide.
Tano is in attachment here. Qt libs, VLC-2.0.1 and vlc-2.0.1-deps-dpup you will find from the exprimo repo.
tano-1.0b2.pet
Description 
pet

 Download 
Filename  tano-1.0b2.pet 
Filesize  1.48 MB 
Downloaded  149 Time(s) 
Back to top
View user's profile Send_private_message 
feelsub

Joined: 20 Jun 2012
Posts: 39

PostPosted: Mon 02 Jul 2012, 12:16    Post_subject:  

Very nice , still some issues in this beta

Could install either AbiWord 2.8 or 2.9, but don't work.

Would be nice to upgrade
* ntfs-3g from a 2010 version to 2012.
* Gparted from 0.7 to 0.12
* Ffmpeg 0.11.x & Mplayer 1.1 ("We gave up on 1.0" it's clear ... quote from 2012-06-10, Sunday :: MPlayer 1.1 released )
* Replace Viewnor by Gthumb, which is way faster and more complete.



Haven't test further.

P.S. No possibilities to have access to more recent packages?? Such as GIMP 2.8, Skype 4, Chrome 20, ...

CloudApps in 3headed dog is nice.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 02 Jul 2012, 14:04    Post_subject:  

feelsub:
Quote:
Could install either AbiWord 2.8 or 2.9, but don't work.
Open PPM and click configure button and then ok without touching the choiced repos. Then close it and reopen PPM. Now exprimo repo has been enabled. Type abiword. Choose abiword 2.9.0. Click examine dependencies and then again if it does not show them. Then install the suggested dependencies and you get working abiword straight from repo.
Quote:
Would be nice to upgrade
* ntfs-3g from a 2010 version to 2012.
-----> why ? what benefits there is to upgrade it compared to squeeze default one. Just upgrading something is not my priority.
Quote:
Gparted from 0.7 to 0.12
----> see above question. What benefits there is. You will need to compile all lib*mm files as static and then compile latest Gparted as static against them. Or install those big libpangomm etc lib*mm files as shared and then compile Gparted as shared. I have managed without those big lib*mm libs all this time.
Several times new Gparted has broken something with Puppy installer scripts like Puppy Universal Installer. Again...I would need to know how does newer Gparted benefit Puppy users.
Quote:
Ffmpeg 0.11.x & Mplayer 1.1 ("We gave up on 1.0" it's clear ... quote from 2012-06-10, Sunday :: MPlayer 1.1 released )

I will use Ffmpeg 0.91 whence there is something which is missing from it. Upgrading ffmpeg will mean large depending multimedia applications recompile, for example VLC depends on the version it has been compiled against. Not very delicious choice just to upgrade it and all other apps which needs it.

I dont have Mplayer at all. I do have Mplayer2 from latest git. So it is up to date. No need to upgrade it.
Quote:
Replace Viewnor by Gthumb, which is way faster and more complete.

There is Geeqie in the repo which has large support for launching other apps. It also has link to update to the Imgur Phote uploading site. Gthumb is new app for me. I will check it. I will keep Viewnior as default viewer because it is familiar to Puppy users and fast enough.

Quote:
GIMP 2.8, Skype 4, Chrome 20, ...

GIMP 2.8 is out. It needs newer libs than squeeze provide. Skype 4 is out because it has advertisements incluced. I will use older version as long as it is supported and recommend others do so also....
Chrome 20. Oh well...browsers. I have Iron 19 uploaded to the exprimo repo. There is so many browsers that I update them now and then....and realize one month later that they are already out of date.
http://smokey01.com/pemasu/pet_packages-exprimo/iron-19-dpup.pet

Edited_time_total
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 02 Jul 2012, 14:14    Post_subject:  

I posted to the developer of rtl2832u driver. He posted back that the support will be natively in kernel probably in kernel 3.6. And he posted me the link to the patches which work in 3.5 RC kernel. But they dont apply to the kernel 3.4. I tested. 2 patches fails. It might be possible to manually apply the failing patches...but the headers structure is not quite the same.
So.....getting rtl2832u support to the kernel 3.4 seems really tricky.

http://www.mail-archive.com/linux-media@vger.kernel.org/msg47131.html

The developer was finnish guy...so I was able to post in finnish. Lol.
Back to top
View user's profile Send_private_message 
DC


Joined: 30 Apr 2006
Posts: 361
Location: Maidenhead, England

PostPosted: Mon 02 Jul 2012, 16:07    Post_subject:  

Hi pemasu,
Quote:
rtl2832u driver, kernel 3.6. 3.5 RC kernel.

The future looks good, any time line? Laughing

and slightly digressing, whilst googling the rtl2832u I found this of interest

http://sdr.osmocom.org/trac/wiki/rtl-sdr

DC

_________________
a little bit of knowledge and I'm dangerous
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 02 Jul 2012, 18:43    Post_subject:  

Quote:
http://sdr.osmocom.org/trac/wiki/rtl-sdr

DVB-T dongles based on the Realtek RTL2832U can be used as a cheap SDR, since the chip allows transferring the raw I/Q samples to the host, which is officially used for DAB/DAB+/FM demodulation. The possibility of this has been discovered by the V4L/DVB kernel developer Antti Palosaari.
Heh. That was the finnish guy I posted about rtl2832u driver.
Back to top
View user's profile Send_private_message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Mon 02 Jul 2012, 21:16    Post_subject: Re: pnethood problem  

peebee wrote:
shinobar wrote:
expot GTKDIALOG solves the error message:
/usr/local/apps/pnethood/pnethood at around line 93 wrote:
###Check for gtkdialog #20jun2012 export
export GTKDIALOG=""


Hi Shino

I added the 2 lines you gave at line 94 (not sure if that is what I was supposed to do....) - but it kills pnethood completely

Sorry, at line 19-20 find:
Code:
###Check for gtkdialog
GTKDIALOG=""

change to
Code:
###Check for gtkdialog
export GTKDIALOG=""


EDIT: pnethood-0.6.9 is out.
#17may2012 shinobar: extracting sharename
#20jun2012 shinobar: export GTKDIALOG for other func

Download pnethood-0.6.9.pet or pnethood-0.6.9.i18n.pet (I18N'ed)
http://shino.pos.to/party/bridge.cgi?puppy/opt/

http://www.murga-linux.com/puppy/viewtopic.php?p=638136#638136

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
mikeslr


Joined: 16 Jun 2008
Posts: 839
Location: Union New Jersey USA

PostPosted: Mon 02 Jul 2012, 21:54    Post_subject: Tano IP TV player  

Hi pemasu,

Thanks for the Tano IP TV player, I think.('Laughing'). I installed it (along with VLC & its dependencies) and fired it up. It asked for an m3u playlist on my computer. I don't got one.('Sad'). Didn't even know what one was.('Embarassed') So I googled hoping to find one somebody already created. Found a promise that someone will post one in a couple of months. Discovered that an m3u play list is just a simple text file listing channels/stations (I guess with an m3u ending). Googled for IP TV channels. Got nowhere. I decided to give up and clicked "cancel." Voila! an interface which looked promising. Clicked Options>Edit Channels and got the below dialog. Not knowing what data to input, I clicked "Scan and update" and hoped for the best. It didn't occur. It scanned, and scanned, and scanned.
Well, I got bored.
Can anyone suggest what arguments might take Tano out of an infinite scanning loop? FYI, if it matters, I'm in North America in the vicinity of NYC.

mikesLr
tano_editor.jpg
 Description   Tano Editor Dialog Box
 Filesize   47.31 KB
 Viewed   524 Time(s)

tano_editor.jpg

Back to top
View user's profile Send_private_message 
Terry H

Joined: 29 Mar 2009
Posts: 94
Location: Pickering, ON Canada

PostPosted: Mon 02 Jul 2012, 22:03    Post_subject:  

Hi pemasu,

Just did frugal install on Dell D620 core 2 duo with broadcom4311. I can't report whether wireless is working as I am unable to create a save file.

When I attempt to shutdown/reboot for the first time to create a save file, following selecting <administrator> I get a fatal error due to no Floppy found.
I have to do a hard reboot.

I checked the md5sum prior to extracting files. I have been successfully running Exprimo 5.X.3.4.2.1 on this laptop.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 39 of 89 Posts_count   Goto page: Previous 1, 2, 3, ..., 37, 38, 39, 40, 41, ..., 87, 88, 89 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1176s ][ Queries: 12 (0.0148s) ][ GZIP on ]